#ifndef __GTK_LEVEL_BAR_H__
#define __GTK_LEVEL_BAR_H__

// A simple level bar widget.

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GTK_TYPE_LEVEL_BAR             (gtk_level_bar_get_type ())
#define GTK_LEVEL_BAR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_LEVEL_BAR, GtkLevelBar))
#define GTK_LEVEL_BAR_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_LEVEL_BAR, GtkLevelBarClass))
#define GTK_IS_LEVEL_BAR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_LEVEL_BAR))
#define GTK_IS_LEVEL_BAR_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_LEVEL_BAR))
#define GTK_LEVEL_BAR_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_LEVEL_BAR, GtkLevelBarClass))


typedef struct _GtkLevelBar         GtkLevelBar;
typedef struct _GtkLevelBarPrivate  GtkLevelBarPrivate;
typedef struct _GtkLevelBarClass    GtkLevelBarClass;

struct _GtkLevelBar {
    GtkWidget parent;

    /*< private >*/
    GtkLevelBarPrivate *priv;
};

struct _GtkLevelBarClass {
    GtkWidgetClass parent_class;

    /* Padding for future expansion */
    void (*_gtk_reserved1) (void);
    void (*_gtk_reserved2) (void);
    void (*_gtk_reserved3) (void);
    void (*_gtk_reserved4) (void);
};


GType gtk_level_bar_get_type(void) G_GNUC_CONST;
GtkWidget* gtk_level_bar_new(void);

void gtk_level_bar_set_bar_height(GtkLevelBar *pbar, guint height);
void gtk_level_bar_set_fraction(GtkLevelBar *pbar, gdouble fraction, const gchar *text);

guint gtk_level_bar_get_bar_height(GtkLevelBar *pbar);
gdouble gtk_level_bar_get_fraction(GtkLevelBar *pbar);

G_END_DECLS

#endif /* __GTK_LEVEL_BAR_H__ */

